Bug 180305 - New port: devel/p5-DateTime-Format-RSS
Summary: New port: devel/p5-DateTime-Format-RSS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:50 UTC by Anes Mukhametov
Modified: 2013-11-15 16:52 UTC (History)
0 users

See Also:


Attachments
p5-DateTime-Format-RSS.shar (2.83 KB, text/plain)
2013-07-05 13:50 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 13:50:00 UTC
	New port: devel/p5-DateTime-Format-RSS	
	DateTime::Format::RSS attempts to deal with those nasty RSS date/time strings used in fields (such as <issued>, <modified>, <pubDate>) that never ever seems to be right.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:56:28 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:54 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:58:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 15:03:59 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 6 dfilter service freebsd_committer 2013-11-15 16:48:42 UTC
Author: mat
Date: Fri Nov 15 16:48:33 2013
New Revision: 333888
URL: http://svnweb.freebsd.org/changeset/ports/333888

Log:
  Add p5-DateTime-Format-RSS 0.03000, format DateTime For RSS.
  
  PR:		ports/180305
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/devel/p5-DateTime-Format-RSS/
  head/devel/p5-DateTime-Format-RSS/Makefile   (contents, props changed)
  head/devel/p5-DateTime-Format-RSS/distinfo   (contents, props changed)
  head/devel/p5-DateTime-Format-RSS/pkg-descr   (contents, props changed)
  head/devel/p5-DateTime-Format-RSS/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Fri Nov 15 16:41:49 2013	(r333887)
+++ head/devel/Makefile	Fri Nov 15 16:48:33 2013	(r333888)
@@ -1809,6 +1809,7 @@
     SUBDIR += p5-DateTime-Format-Oracle
     SUBDIR += p5-DateTime-Format-Pg
     SUBDIR += p5-DateTime-Format-RFC3339
+    SUBDIR += p5-DateTime-Format-RSS
     SUBDIR += p5-DateTime-Format-Roman
     SUBDIR += p5-DateTime-Format-SQLite
     SUBDIR += p5-DateTime-Format-Strptime

Added: head/devel/p5-DateTime-Format-RSS/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-DateTime-Format-RSS/Makefile	Fri Nov 15 16:48:33 2013	(r333888)
@@ -0,0 +1,25 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	DateTime-Format-RSS
+PORTVERSION=	0.03000
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Format DateTime For RSS
+
+RUN_DEPENDS=	p5-DateTime-Format-DateParse>=0:${PORTSDIR}/devel/p5-DateTime-Format-DateParse \
+		p5-DateTime-Format-ISO8601>=0:${PORTSDIR}/devel/p5-DateTime-Format-ISO8601 \
+		p5-DateTime-Format-Mail>=0:${PORTSDIR}/devel/p5-DateTime-Format-Mail \
+		p5-Class-Accessor-Fast-XS>=0:${PORTSDIR}/devel/p5-Class-Accessor-Fast-XS
+BUILD_DEPENDS=	p5-DateTime-Format-DateParse>=0:${PORTSDIR}/devel/p5-DateTime-Format-DateParse \
+		p5-DateTime-Format-ISO8601>=0:${PORTSDIR}/devel/p5-DateTime-Format-ISO8601 \
+		p5-DateTime-Format-Mail>=0:${PORTSDIR}/devel/p5-DateTime-Format-Mail \
+		p5-Class-Accessor-Fast-XS>=0:${PORTSDIR}/devel/p5-Class-Accessor-Fast-XS
+
+USES=	perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/devel/p5-DateTime-Format-RSS/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-DateTime-Format-RSS/distinfo	Fri Nov 15 16:48:33 2013	(r333888)
@@ -0,0 +1,2 @@
+SHA256 (DateTime-Format-RSS-0.03000.tar.gz) = ec17a6233a225fdf7e8700b096fa33aa3285a0fac1ffc1173ccbfb6160561631
+SIZE (DateTime-Format-RSS-0.03000.tar.gz) = 18846

Added: head/devel/p5-DateTime-Format-RSS/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-DateTime-Format-RSS/pkg-descr	Fri Nov 15 16:48:33 2013	(r333888)
@@ -0,0 +1,7 @@
+Format DateTime For RSS
+
+DateTime::Format::RSS attempts to deal with those nasty RSS
+date/time strings used in fields (such as <issued>, <modified>,
+<pubDate>) that never ever seems to be right.
+
+WWW: http://search.cpan.org/dist/DateTime-Format-RSS/

Added: head/devel/p5-DateTime-Format-RSS/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-DateTime-Format-RSS/pkg-plist	Fri Nov 15 16:48:33 2013	(r333888)
@@ -0,0 +1,8 @@
+%%PERL5_MAN3%%/DateTime::Format::RSS.3.gz
+%%SITE_PERL%%/DateTime/Format/RSS.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTime/Format/RSS/.packlist
+@dirrmtry %%SITE_PERL%%/DateTime/Format
+@dirrmtry %%SITE_PERL%%/DateTime
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTime/Format/RSS
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTime/Format
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTime
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Mathieu Arnold freebsd_committer 2013-11-15 16:52:42 UTC
State Changed
From-To: open->closed

Committed, thanks!